
/*
 *    BerryBasketPanel.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */
package org.nzdl.gsdl.SimpleGraphicalClient;


import javax.swing.*;
import javax.swing.table.*;
import javax.swing.border.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;


public class BerryBasketPanel extends JPanel implements Constants {

    BerryBasketModel berryModel;
    JTable berryTable;
    JList berryList;
    JScrollPane scrollBerryPane;

    public BerryBasketPanel(CSModel csModel)  {
	super();
	setLayout( new BorderLayout() );
	setBorder(BorderFactory.createTitledBorder("BerryBasket"));
	berryModel = csModel.getBerryBasketModel();
	berryTable = new JTable(berryModel);
 
	berryTable.setFont(berryFont);
	berryTable.setBorder(BorderFactory.createEmptyBorder(3,3,3,3));
	
	//berryTable.setDefaultRenderer(Color.class, new BerryCellRenderer());
	scrollBerryPane = new JScrollPane(berryTable);
	berryTable.setPreferredScrollableViewportSize(new Dimension(100, 70));

	add(scrollBerryPane, BorderLayout.CENTER);
    } //end constructor


    class BerryCellRenderer extends JLabel implements TableCellRenderer {
  
	public Component getTableCellRendererComponent(JTable table,
						       Object value,
						       boolean isSelected,
						       boolean hasFocus,
						       int row,
						       int column) {
	    this.setText(value.toString());
	    return this;
	} // end getTableCellRendererComponent
  
  
    } //  end BerryCellRenderer

} // end BerryBasketPanel
